JavaScript/jQuery NumberBox - Accessibility

Accessibility Features Overview

NOTE
The overall accessibility level of your application depends on the NumberBox features that you use.
Accessibility Requirement Support Level
Right-to-Left Support
Keyboard Navigation Support
Screen Reader Support
Contrast Color Theme
Mobile Device Support
Lighthouse Accessibility Validation
Axe Accessibility Validation
WAVE Accessibility Validation
Section 508 Support
WCAG 2.x Support
  • - All component features meet the requirement
  • - Some component features may not meet the requirement
  • - Accessibility requirement is not supported

Accessibility Standards Compliance

The NumberBox component complies to all Section 508 and WCAG 2.x standards criteria.

Keyboard Navigation

A user can use the following keys to interact with the NumberBox component:

Key Action
↑ or mouse wheel up Increases the UI component value by a step.
↓ or mouse wheel down Decreases the UI component value by a step.

Use the registerKeyHandler(key, handler) method to implement a custom handler for a key.

JavaScript
  • function registerKeyHandlers () {
  • const numberBox = $("#numberBoxContainer").dxNumberBox("instance");
  • numberBox.registerKeyHandler("backspace", function(e) {
  • // The argument "e" contains information on the event
  • });
  • numberBox.registerKeyHandler("space", function(e) {
  • // ...
  • });
  • }

Screen Reader Support

The NumberBox component supports screen readers and complies to WAI-ARIA standards.

To improve accessibility, use the inputAttr property to specify aria-label for the component. You do not need to specify aria-label if you use the label option.

React NumberBox - Accessibility

Accessibility Features Overview

NOTE
The overall accessibility level of your application depends on the NumberBox features that you use.
Accessibility Requirement Support Level
Right-to-Left Support
Keyboard Navigation Support
Screen Reader Support
Contrast Color Theme
Mobile Device Support
Lighthouse Accessibility Validation
Axe Accessibility Validation
WAVE Accessibility Validation
Section 508 Support
WCAG 2.x Support
  • - All component features meet the requirement
  • - Some component features may not meet the requirement
  • - Accessibility requirement is not supported

Accessibility Standards Compliance

The NumberBox component complies to all Section 508 and WCAG 2.x standards criteria.

Keyboard Navigation

A user can use the following keys to interact with the NumberBox component:

Key Action
↑ or mouse wheel up Increases the UI component value by a step.
↓ or mouse wheel down Decreases the UI component value by a step.

Use the registerKeyHandler(key, handler) method to implement a custom handler for a key.

App.js
  • import React from 'react';
  • import 'devextreme/dist/css/dx.light.css';
  •  
  • import { NumberBox } from 'devextreme-react/number-box';
  •  
  • class App extends React.Component {
  • constructor(props) {
  • super(props);
  •  
  • this.numberBoxRef = React.createRef();
  • }
  •  
  • render() {
  • return (
  • <NumberBox ref={this.numberBoxRef} />
  • );
  • }
  •  
  • get numberBox() {
  • return this.numberBoxRef.current.instance;
  • }
  •  
  • componentDidMount() {
  • this.numberBox.registerKeyHandler('backspace', function(e) {
  • // The argument "e" contains information on the event
  • });
  • this.numberBox.registerKeyHandler('space', function(e) {
  • // ...
  • });
  • }
  • }
  •  
  • export default App;

Screen Reader Support

The NumberBox component supports screen readers and complies to WAI-ARIA standards.

To improve accessibility, use the inputAttr property to specify aria-label for the component. You do not need to specify aria-label if you use the label option.